"use server";

import { redirect } from "next/navigation";
import { signIn as nextSignIn } from "@/auth";

export async function signIn(data: Record<string, any>) {
  const { sso, sig } = data;
  await nextSignIn("credentials", { sso, sig });

  // 从 sso 参数中获取 return_sso_url
  const params = new URLSearchParams(atob(sso));
  const returnUrl = params.get("return_sso_url");

  if (!returnUrl) {
    redirect("/dashboard");
  } else {
    redirect(returnUrl);
  }
}
